#!/bin/bash

# uninstall logic for jStor Plus 5.5.7.0
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/jStor Plus/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for jStor Plus"
    touch "/Applications/jStor Plus/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
if [ -e "/Applications/jStor Plus/aua/bin" ]; then
    echo "Shutdown AutoUpdateAgent for jStor Plus"
    sh "/Applications/jStor Plus/aua/bin/shutdown.sh"
    echo "Wait 5 seconds before AutoUpdateAgent exits"
    sleep 5
fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/jStor Plus/bin/taskkill" "/Applications/jStor Plus/BackupManager.app"
sh "/Applications/jStor Plus/bin/taskkill" "/Applications/jStor Plus/bin/BackupManager.app"
sh "/Applications/jStor Plus/bin/taskkill" "/Applications/jStor Plus/jvm/bin/java"
sh "/Applications/jStor Plus/bin/taskkill" "/Applications/jStor Plus/aua/jvm/bin/java"

###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/jStor Plus" ]; then
    echo "Remove Scheduler for jStor Plus from service"
    rm -rf "/Library/StartupItems/jStor Plus"
fi

# Remove AutoUpdateAgent
if [ -e "/Library/StartupItems/jStor Plus-AutoUpdate" ]; then
    echo "Remove AutoUpdateAgent for jStor Plus from service"
    rm -rf "/Library/StartupItems/jStor Plus-AutoUpdate"
fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/jStor Plus" ]; then
        echo "Remove Desktop Link jStor Plus from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/jStor Plus"
        echo "Removed jStor Plus Desktop Link"
    fi
done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove jStor Plus
cd /
if [ -e "/Applications/jStor Plus" ]; then
    echo "Remove jStor Plus from Your Mac OS X"
    rm -rf "/Applications/jStor Plus"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/obm.pkg" ]; then
    echo "Remove Mac OS X Receipt for obm.pkg (Path: /Library/Receipts/obm.pkg)"
    rm -rf "/Library/Receipts/obm.pkg"
fi
